package baselinecomparison;

import com.wily.introscope.spec.metric.AgentName;

public class ComparableProxyAgentName implements Comparable<ComparableProxyAgentName>
	{
	public AgentName fAgentName;
	
	public ComparableProxyAgentName(AgentName name)
		{
		fAgentName = name;
		}

	public AgentName
	getAgentName()
		{
		return fAgentName;
		}
	
	public int compareTo(ComparableProxyAgentName o)
		{
		String processURLWithoutDomain = this.getAgentName().getProcessURLWithoutDomain();
		return processURLWithoutDomain.compareTo(o.getAgentName().getProcessURLWithoutDomain());
		}
	
	public boolean equals(ComparableProxyAgentName o)
		{
		System.out.println("" + this + ".equals("+ o + ")");
		String processURLWithoutDomain = this.getAgentName().getProcessURLWithoutDomain();
		return processURLWithoutDomain.equals(o.getAgentName().getProcessURLWithoutDomain());
		}

	}
